/*------------------------------------------------------------------------
   (C) COPYRIGHT HEWLETT-PACKARD GmbH 1993
   
   Project:  HP ELOQUENCE
   Module:   dlg / dm
   File:     no-help.c
   Function: default help system

   Edit history:
   07.01.94 - creation

------------------------------------------------------------------------*/

static char RcsId[] =
   "$Header$";


/* ----------------------------------------------------------------------
      includes
---------------------------------------------------------------------- */

#include <sys/types.h>
#include <IDMuser.h>


/* ----------------------------------------------------------------------
   This will provide the default (nop) HelpSystem entry point.
---------------------------------------------------------------------- */

boolean DML_default DM_ENTRY HelpOnObject(DM_ID objID)
{
   dmdrv_debug(2, "HelpOnObject(obj=%d)\n", objID);
   return(FALSE);
}

boolean DML_default DM_ENTRY HelpOnTag(DM_ID objID, char *tag)
{
   dmdrv_debug(2, "HelpOnTag(obj=%d, tag=%s)\n", objID, tag);
   return(FALSE);
}

boolean DML_default DM_ENTRY HelpViewFile(char *path)
{
   dmdrv_debug(2, "HelpViewFile(path=%d)\n", path);
   return(FALSE);
}

boolean DML_default DM_ENTRY HelpManPage(char *path)
{
   dmdrv_debug(2, "HelpManPage(path=%s)\n", path);
   return(FALSE);
}

